org.apache.uima.cas.impl

## Enum Subiterator.BoundsUse

- java.lang.Object
- - java.lang.Enum<Subiterator.BoundsUse>
  - - org.apache.uima.cas.impl.Subiterator.BoundsUse

- All Implemented Interfaces:
    Serializable, Comparable<Subiterator.BoundsUse>
  Enclosing class:
    Subiterator<T extends AnnotationFS>

      public static enum Subiterator.BoundsUse
      extends Enum<Subiterator.BoundsUse>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `coveredBy`
    `covering`
    `notBounded`
    `sameBeginEnd`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Subiterator.BoundsUse` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Subiterator.BoundsUse[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### coveredBy

          public static final Subiterator.BoundsUse coveredBy

    - #### covering

          public static final Subiterator.BoundsUse covering

    - #### sameBeginEnd

          public static final Subiterator.BoundsUse sameBeginEnd

    - #### notBounded

          public static final Subiterator.BoundsUse notBounded

  - ### Method Detail

    - #### values

          public static Subiterator.BoundsUse[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Subiterator.BoundsUse c : Subiterator.BoundsUse.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Subiterator.BoundsUse valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.